Update seller tax advance rate

Credentials

No credentials are documented for this endpoint.

Update the tax advance payment rate for a seller.

Parameters

This endpoint takes no path, query or header parameters.

Request body

Content type: application/json

Field Type Required Description
email string yes
social_id integer yes
tax_adv_rate number yes Tax advance rate (0-1)

Request example

{
  "email": "seller@example.com",
  "social_id": 123456789,
  "tax_adv_rate": 0.15
}

Code samples

curl

curl -X POST 'https://sandbox.payme.io/api/partner/api/tax-authority/update-seller-tax-adv-rate' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "email": "seller@example.com",
  "social_id": 123456789,
  "tax_adv_rate": 0.15
}'

Node.js

const response = await fetch("https://sandbox.payme.io/api/partner/api/tax-authority/update-seller-tax-adv-rate", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "email": "seller@example.com",
    "social_id": 123456789,
    "tax_adv_rate": 0.15
  }),
});

console.log(await response.text());

Python

import requests

response = requests.post(
    "https://sandbox.payme.io/api/partner/api/tax-authority/update-seller-tax-adv-rate",
    json={
        "email": "seller@example.com",
        "social_id": 123456789,
        "tax_adv_rate": 0.15,
    },
)

print(response.text)

PHP

<?php

$body = <<<'BODY'
{
  "email": "seller@example.com",
  "social_id": 123456789,
  "tax_adv_rate": 0.15
}
BODY;

$ch = curl_init('https://sandbox.payme.io/api/partner/api/tax-authority/update-seller-tax-adv-rate');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => $body,
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Responses

200 — Tax advance rate updated successfully (success)

Field Type Description
status integer

400 — Bad Request - Validation failed (error)

Field Type Description
statusCode integer
message string
error string
{
  "statusCode": 400,
  "message": [
    "Validation failed"
  ],
  "error": "Bad Request"
}

401 — Unauthorized - Invalid or missing authentication (error)

Field Type Description
statusCode integer
message string
error string
{
  "statusCode": 401,
  "message": "Unauthorized",
  "error": "Unauthorized"
}